/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-06-12
 * 描述            ：二级接口-轧机_L2_PDO
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Rolling.Performance.vo;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

import market.Mes.Rolling.Performance.mapper.IfRoll01L2PdoMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="IF_ROLL01_L2_PDO", namespace=IfRoll01L2PdoMapper.class)
public class IfRoll01L2Pdo extends BaseVO implements Serializable {
	
	
	private List<IfRoll01L2PdoPass> rcm_data;
	public List<IfRoll01L2PdoPass> getRcm_data() {
		return rcm_data;
	}
	public void setRcm_data(List<IfRoll01L2PdoPass> rcm_data) {
		this.rcm_data = rcm_data;
	}

	private List<IfRoll01L2PdoDfc> defects;
	
	public List<IfRoll01L2PdoDfc> getDefects() {
		return defects;
	}
	public void setDefects(List<IfRoll01L2PdoDfc> defects) {
		this.defects = defects;
	}

	
	/** 
	 * 记录号（由业务接口创建，唯一标识消息）
	 */ 
	@Id
	private Long serial_no;
	public Long getSerial_no() {
		return this.serial_no;
	}
	public void setSerial_no(Long serial_no) {
		this.serial_no = serial_no;
	}

	/** 
	 * 消息时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date msg_time;
	public Date getMsg_time() {
		return this.msg_time;
	}
	public void setMsg_time(Date msg_time) {
		this.msg_time = msg_time;
	}

	/** 
	 * 出口卷号
	 */ 
	@Column
	private String exit_coil_no;
	public String getExit_coil_no() {
		return this.exit_coil_no;
	}
	public void setExit_coil_no(String exit_coil_no) {
		this.exit_coil_no = exit_coil_no;
	}

	/** 
	 * 是否断带（1：断带、0：正常）
	 */ 
	@Column
	private String strip_break;
	public String getStrip_break() {
		return this.strip_break;
	}
	public void setStrip_break(String strip_break) {
		this.strip_break = strip_break;
	}

	/** 
	 * 出口卷内径（mm）
	 */ 
	@Column
	private String inner_diameter;
	public String getInner_diameter() {
		return this.inner_diameter;
	}
	public void setInner_diameter(String inner_diameter) {
		this.inner_diameter = inner_diameter;
	}

	/** 
	 * 出口卷外径（mm）
	 */ 
	@Column
	private String outer_diameter;
	public String getOuter_diameter() {
		return this.outer_diameter;
	}
	public void setOuter_diameter(String outer_diameter) {
		this.outer_diameter = outer_diameter;
	}

	/** 
	 * 出口卷厚度（um）
	 */ 
	@Column
	private String exit_thick;
	public String getExit_thick() {
		return this.exit_thick;
	}
	public void setExit_thick(String exit_thick) {
		this.exit_thick = exit_thick;
	}

	/** 
	 * 出口卷宽度（mm）
	 */ 
	@Column
	private String exit_width;
	public String getExit_width() {
		return this.exit_width;
	}
	public void setExit_width(String exit_width) {
		this.exit_width = exit_width;
	}

	/** 
	 * 出口卷长度（m）
	 */ 
	@Column
	private String exit_length;
	public String getExit_length() {
		return this.exit_length;
	}
	public void setExit_length(String exit_length) {
		this.exit_length = exit_length;
	}

	/** 
	 * 套筒代码
	 */ 
	@Column
	private String sleeve;
	public String getSleeve() {
		return this.sleeve;
	}
	public void setSleeve(String sleeve) {
		this.sleeve = sleeve;
	}

	/** 
	 * 出口卷计算重量（kg）
	 */ 
	@Column
	private String exit_calc_weight;
	public String getExit_calc_weight() {
		return this.exit_calc_weight;
	}
	public void setExit_calc_weight(String exit_calc_weight) {
		this.exit_calc_weight = exit_calc_weight;
	}

	/** 
	 * 出口卷实际重量（kg）
	 */ 
	@Column
	private String exit_weight;
	public String getExit_weight() {
		return this.exit_weight;
	}
	public void setExit_weight(String exit_weight) {
		this.exit_weight = exit_weight;
	}

	/** 
	 * 开始生产时刻（YYYYMMDDHHMMSS）
	 */ 
	@Column
	private String start_time;
	public String getStart_time() {
		return this.start_time;
	}
	public void setStart_time(String start_time) {
		this.start_time = start_time;
	}

	/** 
	 * 结束生产时刻（YYYYMMDDHHMMSS）
	 */ 
	@Column
	private String end_time;
	public String getEnd_time() {
		return this.end_time;
	}
	public void setEnd_time(String end_time) {
		this.end_time = end_time;
	}

	/** 
	 * 生产时间（min）
	 */ 
	@Column
	private String duration;
	public String getDuration() {
		return this.duration;
	}
	public void setDuration(String duration) {
		this.duration = duration;
	}

	/** 
	 * 道次
	 */ 
	@Column
	private String num_pass;
	public String getNum_pass() {
		return this.num_pass;
	}
	public void setNum_pass(String num_pass) {
		this.num_pass = num_pass;
	}

	/** 
	 * 1#机架出口卷厚度设定值（um）
	 */ 
	@Column
	private String exit_thickness_setp;
	public String getExit_thickness_setp() {
		return this.exit_thickness_setp;
	}
	public void setExit_thickness_setp(String exit_thickness_setp) {
		this.exit_thickness_setp = exit_thickness_setp;
	}

	/** 
	 * 1#机架出口卷厚度平均值（um）
	 */ 
	@Column
	private String exit_thickness_avg;
	public String getExit_thickness_avg() {
		return this.exit_thickness_avg;
	}
	public void setExit_thickness_avg(String exit_thickness_avg) {
		this.exit_thickness_avg = exit_thickness_avg;
	}

	/** 
	 * 1#机架出口卷厚度最大值（um）
	 */ 
	@Column
	private String exit_thickness_max;
	public String getExit_thickness_max() {
		return this.exit_thickness_max;
	}
	public void setExit_thickness_max(String exit_thickness_max) {
		this.exit_thickness_max = exit_thickness_max;
	}

	/** 
	 * 1#机架出口卷厚度最小值（um）
	 */ 
	@Column
	private String exit_thickness_min;
	public String getExit_thickness_min() {
		return this.exit_thickness_min;
	}
	public void setExit_thickness_min(String exit_thickness_min) {
		this.exit_thickness_min = exit_thickness_min;
	}

	/** 
	 * 1#机架出口卷厚度方差（um）
	 */ 
	@Column
	private String exit_thickness_delta;
	public String getExit_thickness_delta() {
		return this.exit_thickness_delta;
	}
	public void setExit_thickness_delta(String exit_thickness_delta) {
		this.exit_thickness_delta = exit_thickness_delta;
	}

	/** 
	 * <±1%公差（10^-2%）
	 */ 
	@Column
	private String thickness_class_1;
	public String getThickness_class_1() {
		return this.thickness_class_1;
	}
	public void setThickness_class_1(String thickness_class_1) {
		this.thickness_class_1 = thickness_class_1;
	}

	/** 
	 * <±2%公差（10^-2%）
	 */ 
	@Column
	private String thickness_class_2;
	public String getThickness_class_2() {
		return this.thickness_class_2;
	}
	public void setThickness_class_2(String thickness_class_2) {
		this.thickness_class_2 = thickness_class_2;
	}

	/** 
	 * <±4%公差（10^-2%）
	 */ 
	@Column
	private String thickness_class_3;
	public String getThickness_class_3() {
		return this.thickness_class_3;
	}
	public void setThickness_class_3(String thickness_class_3) {
		this.thickness_class_3 = thickness_class_3;
	}

	/** 
	 * <±6%公差（10^-2%）
	 */ 
	@Column
	private String thickness_class_4;
	public String getThickness_class_4() {
		return this.thickness_class_4;
	}
	public void setThickness_class_4(String thickness_class_4) {
		this.thickness_class_4 = thickness_class_4;
	}

	/** 
	 * <±10%公差（10^-2%）
	 */ 
	@Column
	private String thickness_class_5;
	public String getThickness_class_5() {
		return this.thickness_class_5;
	}
	public void setThickness_class_5(String thickness_class_5) {
		this.thickness_class_5 = thickness_class_5;
	}

	/** 
	 * >±10%公差（10^-2%）
	 */ 
	@Column
	private String thickness_class_6;
	public String getThickness_class_6() {
		return this.thickness_class_6;
	}
	public void setThickness_class_6(String thickness_class_6) {
		this.thickness_class_6 = thickness_class_6;
	}

	/** 
	 * 缺陷个数
	 */ 
	@Column
	private String num_defects;
	public String getNum_defects() {
		return this.num_defects;
	}
	public void setNum_defects(String num_defects) {
		this.num_defects = num_defects;
	}

	/** 
	 * 钢种
	 */ 
	@Column
	private String steel_grade;
	public String getSteel_grade() {
		return this.steel_grade;
	}
	public void setSteel_grade(String steel_grade) {
		this.steel_grade = steel_grade;
	}

	/** 
	 * 前道工序号
	 */ 
	@Column
	private String pre_process_code;
	public String getPre_process_code() {
		return this.pre_process_code;
	}
	public void setPre_process_code(String pre_process_code) {
		this.pre_process_code = pre_process_code;
	}

	/** 
	 * 后道工序号
	 */ 
	@Column
	private String next_process_code;
	public String getNext_process_code() {
		return this.next_process_code;
	}
	public void setNext_process_code(String next_process_code) {
		this.next_process_code = next_process_code;
	}

	/** 
	 * 入口卷号
	 */ 
	@Column
	private String entry_coil_no;
	public String getEntry_coil_no() {
		return this.entry_coil_no;
	}
	public void setEntry_coil_no(String entry_coil_no) {
		this.entry_coil_no = entry_coil_no;
	}

	/** 
	 * 计划号
	 */ 
	@Column
	private String plan_no;
	public String getPlan_no() {
		return this.plan_no;
	}
	public void setPlan_no(String plan_no) {
		this.plan_no = plan_no;
	}

	/** 
	 * 入口重量（kg）
	 */ 
	@Column
	private String entry_weight;
	public String getEntry_weight() {
		return this.entry_weight;
	}
	public void setEntry_weight(String entry_weight) {
		this.entry_weight = entry_weight;
	}

	/** 
	 * 入口厚度（um）
	 */ 
	@Column
	private String entry_thick;
	public String getEntry_thick() {
		return this.entry_thick;
	}
	public void setEntry_thick(String entry_thick) {
		this.entry_thick = entry_thick;
	}

}
